Skip to main content
POST
https://platform.verolabs.co
/
api
/
auth
/
login
Login with password
curl --request POST \
  --url https://platform.verolabs.co/api/auth/login \
  --header 'Content-Type: application/json' \
  --data '
{
  "identifier": "<string>",
  "password": "<string>"
}
'
{
  "sessionToken": "<string>",
  "jwt": "<string>",
  "session": {
    "id": "<string>",
    "active": true,
    "authenticated_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "devices": [
      {
        "ip_address": "<string>",
        "location": "<string>",
        "user_agent": "<string>"
      }
    ],
    "identity": {
      "id": "<string>",
      "traits": {}
    },
    "tokenized": "<string>"
  },
  "tokenizedSession": {
    "id": "<string>",
    "active": true,
    "authenticated_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "devices": [
      {
        "ip_address": "<string>",
        "location": "<string>",
        "user_agent": "<string>"
      }
    ],
    "identity": {
      "id": "<string>",
      "traits": {}
    },
    "tokenized": "<string>"
  },
  "identity": {
    "id": "<string>",
    "traits": {}
  }
}

Body

application/json

Email identifier and password credentials.

Password login request. Set identifier to the account email address.

identifier
string
required

Email address associated with the Vero OMS account.

password
string
required

Current password for the Vero OMS account.

Response

Active session and JWT

AuthLoginResponse schema.

sessionToken
string
required

Session token returned after authentication. Store it securely for session refresh and logout.

jwt
string
required

Bearer JWT returned for REST API calls.

session
object
required

Session object. The tokenized field is the Bearer JWT used for API calls.

tokenizedSession
object
required

Session object. The tokenized field is the Bearer JWT used for API calls.

identity
object

Account identity returned by the authenticated session.